Unfortunately, no (as far as i know). It's a proprietary library used by NTT.

However, if you update to the latest version of liberasurecode, that warning 
message is suppressed.

--John



On 12 Oct 2016, at 19:58, Yu Watanabe wrote:

> Hello.
>
> I would like to ask question related to swift object storage node.
>
> I have set up swift object storage node following the installation guide
> and now finalizing the installation using the guide.
>
> http://docs.openstack.org/mitaka/install-guide-rdo/swift-finalize-installation.html
>
> However, I get error when I start up the services.
>
> systemctl status openstack-swift-account.service
> openstack-swift-account-auditor.service
> openstack-swift-account-reaper.service
> openstack-swift-account-replicator.service
> ● openstack-swift-account.service - OpenStack Object Storage (swift) -
> Account Server
>    Loaded: loaded (/usr/lib/systemd/system/openstack-swift-account.service;
> enabled; vendor preset: disabled)
>    Active: failed (Result: exit-code) since Wed 2016-10-12 19:44:45 JST;
> 15h ago
>   Process: 27793 ExecStart=/usr/bin/swift-account-server
> /etc/swift/account-server.conf (code=exited, status=1/FAILURE)
>  Main PID: 27793 (code=exited, status=1/FAILURE)
>
> Oct 12 19:44:44 opstack-objstorage1 systemd[1]: Started OpenStack Object
> Storage (swift) - Account Server.
> Oct 12 19:44:44 opstack-objstorage1 systemd[1]: Starting OpenStack Object
> Storage (swift) - Account Server...
> Oct 12 19:44:45 opstack-objstorage1 liberasurecode[27793]:
> liberasurecode_instance_create: dynamic linking error libshss.so.1: cannot
> open shared ...rectory
> Oct 12 19:44:45 opstack-objstorage1 swift-account-server[27793]: Error:
> [swift-hash]: both swift_hash_path_suffix and swift_hash_path_prefix are
> m...ft.conf
> Oct 12 19:44:45 opstack-objstorage1 systemd[1]:
> openstack-swift-account.service: main process exited, code=exited,
> status=1/FAILURE
> Oct 12 19:44:45 opstack-objstorage1 systemd[1]: Unit
> openstack-swift-account.service entered failed state.
> Oct 12 19:44:45 opstack-objstorage1 systemd[1]:
> openstack-swift-account.service failed.
>
> I have already installed libJerasure.so.2 and libisal.so.2 from source code
> but still not able to install libshss.so.1.
>
> Below is information about my environment.
>
> [root@opstack-objstorage1 system 2016.10.13 11:34:26]# cat
> /etc/redhat-release
> CentOS Linux release 7.2.1511 (Core)
> [root@opstack-objstorage1 system 2016.10.13 11:33:53]# rpm -qa | grep swift
> openstack-swift-container-2.7.0-2.el7.noarch
> openstack-swift-2.7.0-2.el7.noarch
> openstack-swift-object-2.7.0-2.el7.noarch
> openstack-swift-account-2.7.0-2.el7.noarch
>
> Is there a web site where I can get the source code for libshss?
>
> Thanks.
>
> -- 
> Yu Watanabe
> 渡辺 裕
>
> LinkedIn : jp.linkedin.com/in/yuwatanabe1


> _______________________________________________
> Mailing list: http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack
> Post to     : openstack@lists.openstack.org
> Unsubscribe : http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack

Attachment: signature.asc
Description: OpenPGP digital signature

_______________________________________________
Mailing list: http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack
Post to     : openstack@lists.openstack.org
Unsubscribe : http://lists.openstack.org/cgi-bin/mailman/listinfo/openstack

Reply via email to